import request from '@/utils/request'

const roleApi = {
  add: '/sys/role/add',
  get: '/sys/role/getById',
  update: '/sys/role/update',
  del: '/sys/role/delete',
  page: '/sys/role/page',
  updateStatus: '/sys/role/updateStatus'
}

export function roleAdd (params) {
  return request({
    url: roleApi.add,
    method: 'post',
    data: params
  })
}
export function roleGet (params) {
  return request({
    url: roleApi.get,
    method: 'post',
    data: params
  })
}
export function roleUpdate (params) {
  return request({
    url: roleApi.update,
    method: 'post',
    data: params
  })
}
export function roleDelete (params) {
  return request({
    url: roleApi.del,
    method: 'post',
    data: params
  })
}
export function rolePage (params) {
  return request({
    url: roleApi.page,
    method: 'post',
    data: params
  })
}
export function roleUpdateStatus (params) {
  return request({
    url: roleApi.updateStatus,
    method: 'post',
    data: params
  })
}
